Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
sadiini
Vana Pingviin
Vana Pingviin


Vanus: 48
Liitunud: 28.12.2007
Postitused: 1433
Asukoht: Otsige mind kolmandalt planeedilt...
Distributsioon: LXLE, Mint
estonia.gif
postituspostitatud: 08.12.2011, 13:53  postituse pealkiri:  Müstiline ID  

Ühel hetkel lihtsalt lõpetas töö see ID tarkvara.

Eemaldasin kõik koos seadistusfailidega ja paigaldasin uuesti.

Sain nüüd PIN1-hte kasutada. Samas karjub sirviku plugin, et mitte midagi pole paigaldatud ja PIN2 lihtsalt ei tööta.

Veateade on et "plugin.getCertificates is not a function"

Kõik serdid on olemas...

Jelp!

Esiteks

Teiseks

Ometigi...

Veider...

Ubuntu 11.10 on ver

_________________
Hea tarkvara kuulab kasutaja sõna Smile

tramm
Vana Pingviin
Vana Pingviin



Liitunud: 03.11.2008
Postitused: 897

Distributsioon: *buntu
blank.gif
postituspostitatud: 08.12.2011, 15:28  postituse pealkiri:  (teema puudub)  

Miks sul see "esteidutil" paigaldatud on? Sellel pole midagi Esteid tarkvaraga pistmist. Oled kindel, et sul pole mingi kompott arvutisse tekkinud?


nooremkeemik
Pingviini kasutaja
Pingviini kasutaja


Vanus: 29
Liitunud: 31.05.2010
Postitused: 53
Asukoht: Tartu
Distributsioon: Ubuntu, SLED 11, Estobuntu
estonia.gif
postituspostitatud: 08.12.2011, 16:49  postituse pealkiri:  (teema puudub)  

mul tekkis küsimus et kas näiteks ubuntus on võimalik enda ID-kaardiga identifitseerimiseks kasutada ka google chrome eeldusel et muud vajalikud andmepaketid on paigaldatud?


sadiini
Vana Pingviin
Vana Pingviin


Vanus: 48
Liitunud: 28.12.2007
Postitused: 1433
Asukoht: Otsige mind kolmandalt planeedilt...
Distributsioon: LXLE, Mint
estonia.gif
postituspostitatud: 09.12.2011, 07:15  postituse pealkiri:  (teema puudub)  

tramm kirjutas:
Miks sul see "esteidutil" paigaldatud on? Sellel pole midagi Esteid tarkvaraga pistmist. Oled kindel, et sul pole mingi kompott arvutisse tekkinud?

Id kaardi haldusvahend on ta. Ja oli paigaldatud ka siis, kui kõik kõige paremas korras oli...

RIA tarkvara seal pole s.t. PINNID ei sõltu sest mitte kuidagi Sad

_________________
Hea tarkvara kuulab kasutaja sõna Smile

k6he
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 17.10.2005
Postitused: 75

Distributsioon: ubuntu pp
blank.gif
postituspostitatud: 13.04.2012, 22:30  postituse pealkiri:  (teema puudub)  

On see probleem sul Ubuntu 11.10 või Ubuntu 12.04's? Ma ei saa samuti PIN2'te kasutada.

#muudatus: lisasin estobuntu repositooriumi ja paigaldasin browser-plugin-esteid - nüüd kõik toimib

repo
tarkvara


sadiini
Vana Pingviin
Vana Pingviin


Vanus: 48
Liitunud: 28.12.2007
Postitused: 1433
Asukoht: Otsige mind kolmandalt planeedilt...
Distributsioon: LXLE, Mint
estonia.gif
postituspostitatud: 14.04.2012, 10:08  postituse pealkiri:  (teema puudub)  

Ja mina paigaldasin sellel arvutile RIA tarkvara, sest esteid ei hakanudki enam tööle ei esteid repot kasutades ega ka estobuntu kaudu paigaldades.

Ja RIA tarkvara võtsin otse RIA-st. Läbi Estobuntu paigaldades ei töödanud ka see Smile

Seda ma ju räägin, et "müstika".

_________________
Hea tarkvara kuulab kasutaja sõna Smile

mazz
Pingviini külastaja
Pingviini külastaja



Liitunud: 14.04.2012
Postitused: 16

Distributsioon: Ubuntu
blank.gif
postituspostitatud: 20.04.2012, 09:00  postituse pealkiri:  (teema puudub)  

Töötab ID kaart ubuntus ja firefoxis ning töötab ka digiallkirjastamine.

_________________
http://scanthis.net/

arvomagi
Pingviini aktivist
Pingviini aktivist



Liitunud: 22.12.2007
Postitused: 164
Asukoht: Tallinn

estonia.gif
postituspostitatud: 20.04.2012, 09:35  postituse pealkiri:  (teema puudub)  

Ainsana deklareerib Ubuntu 10.04-12.04 jaoks ID-kaardi tuge Esteid.
Õiged terminaliakna käsud on:

sudo add-apt-repository ppa:esteid/ppa
sudo apt-get update
sudo apt-get install qdigidoc nautilus-qdigidoc qesteidutil browser-plugin-esteid

Eelnevalt peavad Ubuntu universe ja multiverse varamud olema aktiveeritud. Esteid wikis on viimane käsk vigane, kuna pakkide nimesid on muudetud.


natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 20.04.2012, 14:46  postituse pealkiri:  (teema puudub)  

arvomagi kirjutas:
Ainsana deklareerib Ubuntu 10.04-12.04 jaoks ID-kaardi tuge Esteid.
Õiged terminaliakna käsud on:

sudo add-apt-repository ppa:esteid/ppa
sudo apt-get update
sudo apt-get install qdigidoc nautilus-qdigidoc qesteidutil browser-plugin-esteid

Eelnevalt peavad Ubuntu universe ja multiverse varamud olema aktiveeritud. Esteid wikis on viimane käsk vigane, kuna pakkide nimesid on muudetud.


Jah, deklareerib küll, aga 64-bit Lucidis asi ei tööta.

Viimase terminalikäsu täitmisel ei leia nautilus-digidoc ja browser-plugin- esteid
pakette, kusjuures esimese suhtes on tal õigus.

Synapticust peale ja hakkab jama FF-ga: sulgen FF, uuesti avamiseks klõpsamisel saan vastuseks ̶ http://pingviin.org/album_showpage.php?pic_id=503

Masinale reboot ja sama jama. Sad

_________________
Kõige parem asi on töötav asi.

erku
Vana Pingviin
Vana Pingviin


Vanus: 49
Liitunud: 12.09.2008
Postitused: 549
Asukoht: Tallinn, Järvamaa
Distributsioon: Mint/Debian _32bit
estonia.gif
postituspostitatud: 13.02.2013, 22:25  postituse pealkiri:  (teema puudub)  

Nüüd juba 4. päev ja üritan tulutult paigaldada töötavat ID kaardi tarkvara. Seda mõlema kanali kaudu.
Põhiline on see, et nimetatud softijuppi lihtsalt ei leidu Wink
Korra (3 päeva tagasi) sain isegi peale ja kaardi tundis isegi ära, aga tuvastamist ehk allkirjastamist ei saanud teha..

Parim mis suutsin välja võluda on huumor ja seda täitsa kodumaises keeles:
Kood:
Mõnda paketti ei saanud paigaldada. See võib tähendada, et oled
palunud võimatut olukorda või kasutad ebastabiilset
distributsiooni, millel on mõned vajalikud paketid veel loomata
või on sissetulevate hulgast välja arvatud.
Järgmine teave võib aidata olukorda lahendada:

Järgmistel pakettidel on lahendamata sõltuvusi:
 esteid : Depends: xul-ext-esteid aga seda ei ole võimalik paigaldada
          Recommends: browser-plugin-esteid aga seda ei ole võimalik paigaldada
          Recommends: qdigidoc aga seda ei paigaldata
          Recommends: qesteidutil aga seda ei paigaldata

_________________
Mõttetera: Kui tarkvara ei meeldi või ei sobi, tuleb valida teine tarkvara.

wk
Vana Pingviin
Vana Pingviin



Liitunud: 24.10.2007
Postitused: 1133
Asukoht: Tallinn, vahel Vastseliina vald
Distributsioon: Debian, Kubuntu
estonia.gif
postituspostitatud: 14.02.2013, 01:01  postituse pealkiri:  (teema puudub)  

Vaata korra, mida
Kood:
sudo apt-get -f install
kostab?. Ma mäletan, et oli vaja mingi pakk eemaldada, et konfliktist üle saaks, aga ei tule täpsemalt meelde. Ülaltoodud käsk vast näitab ära, millise kännu taha protsess kinni jääb.

_________________
Kõike hääd,
WK

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 14.02.2013, 11:17  postituse pealkiri:  (teema puudub)  

erku kirjutas:
... Seda mõlema kanali kaudu...


Kas see tähendab esteid ja id.ee vaheldumisi kasutamist?

Mindis automaatkäivituse skripti ei ole proovinud, aga käsurealt läheb ilusti peale ja käima.

Roogi esteid täielikult välja, muidu id.ee tarkvara peale ei lähe: riidu lähevad.

_________________
Kõige parem asi on töötav asi.

Kaar3l
Vana Pingviin
Vana Pingviin


Vanus: 32
Liitunud: 07.05.2007
Postitused: 692
Asukoht: Plv
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 14.02.2013, 11:28  postituse pealkiri:  (teema puudub)  

Mintiga ei töötanud automaatne paigaldusskript koheselt. Seal pidi ära muutma distro nime vastava ubuntu distro nimeks. Muu nagu toimis.

_________________
Hyva päiva!

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 14.02.2013, 18:12  postituse pealkiri:  (teema puudub)  

Kaar3l kirjutas:
Mintiga ei töötanud automaatne paigaldusskript koheselt. Seal pidi ära muutma distro nime vastava ubuntu distro nimeks. Muu nagu toimis.


Toimib. Very Happy

_________________
Kõige parem asi on töötav asi.

erku
Vana Pingviin
Vana Pingviin


Vanus: 49
Liitunud: 12.09.2008
Postitused: 549
Asukoht: Tallinn, Järvamaa
Distributsioon: Mint/Debian _32bit
estonia.gif
postituspostitatud: 14.02.2013, 20:53  postituse pealkiri:  (teema puudub)  

Ma ei erista "käsureal" seda muumise kohta Rolling Eyes
Kood:
#!/bin/bash

# Ubuntu

OPSYS=$(cat /etc/lsb-release | grep CODENAME= | sed -e 's/DISTRIB_CODENAME=//')

REPO_FILE=/etc/apt/sources.list.d/ria-repository.list

check_privileges()
{
   touch $REPO_FILE 1>/dev/null 2>&1
   if [ "$?" != "0" ] ; then
      echo "You must have root privileges to run this script"
      exit 1
   fi
}

create_repo_file()
{
   echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" | sudo dd of=$REPO_FILE 1>/dev/null 2>&1
   echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" | sudo dd of=$REPO_FILE.save 1>/dev/null 2>&1
}

import_ria_key()
{
   sudo apt-key list | grep '^pub.*1024D/592073D4.*2010-10-26$' 1>/dev/null
   KEY_LOOKUP_RESULT=$?
   if [ "$KEY_LOOKUP_RESULT" != "0" ] ; then
      echo "Loading RIA Repository key"
      sudo wget -O /tmp/ria-public.key https://installer.id.ee/media/install-scripts/ria-public.key
      sudo apt-key add /tmp/ria-public.key
      sudo rm -f /tmp/ria-public.key
   else
      echo "RIA Repository key already loaded"
   fi
}

update_repo()
{
   sudo apt-get update
}

install_estonianidcard()
{
   sudo apt-get install estonianidcard
}

check_privileges
create_repo_file
import_ria_key
update_repo
install_estonianidcard

Ja terminal ajab ikka oma jonni:
Kood:
W: Failed to fetch https://installer.id.ee/media/ubuntu/dists/nadia/main/binary-amd64/Packages  The requested URL returned error: 404 Not Found

W: Failed to fetch https://installer.id.ee/media/ubuntu/dists/nadia/main/binary-i386/Packages  The requested URL returned error: 404 Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package estonianidcard

_________________
Mõttetera: Kui tarkvara ei meeldi või ei sobi, tuleb valida teine tarkvara.

mihkel
Vana Pingviin
Vana Pingviin



Liitunud: 16.04.2006
Postitused: 1284

Distributsioon: Fedora/Centos
estonia.gif
postituspostitatud: 14.02.2013, 21:29  postituse pealkiri:  (teema puudub)  

Kood:
OPSYS=$(cat /etc/lsb-release | grep CODENAME= | sed -e 's/DISTRIB_CODENAME=//')


Rida tuvastab sinu opsüsteemi nime. Sinu minti puhul nadia.

Kood:
echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" | sudo dd of=$REPO_FILE 1>/dev/null

Siin kasutatakse seda sama OPSYS muutujat, et viidata õigele varamule. Antud juhul soovid sa kasutada ubuntu varamuid, seega peaksid $OPSYS asendama selle ubuntu versiooniga, mille baasil nadia on tehtud.
Kui oled selle skripti juba üks kord käima lasknud, siis uuesti pole vaja. Lihtsalt muuda /etc/apt/sources.list.d/ria-repository.list faili.... vaheta sõna nadia ära vastava ubuntu nime vastu.


erku
Vana Pingviin
Vana Pingviin


Vanus: 49
Liitunud: 12.09.2008
Postitused: 549
Asukoht: Tallinn, Järvamaa
Distributsioon: Mint/Debian _32bit
estonia.gif
postituspostitatud: 15.02.2013, 19:54  postituse pealkiri:  (teema puudub)  

Sain tööle; tänud mihkel.
Ei taibanud ma, mis sinna reale kirjutada, et kohe tuleks automaatselt õige distroo Wink ja "Tarkvaraallika" muutmine läks meelest, käisin ainult seda "löga" kustutamas seal.

Aga ausalt, annab ikka olla. See kes kirjutab automaatse koodi ning mitte nagu ka päris omalõbuks ja mitte enda jaoks ning enda lehel on üleval, et distro vaiante saab olla kuni 5, siis mida pagana moodi saab veel olla variant, mida pole üldse olemaski.
Ja mida krdit ripub pakihalduris ja tarkvarahalduris ID kaardi soft, kui seda tegelikult ei eksisteerigi.

Mul oli vahepeal selline kindel tunne, selle naljateksti asemel, mida nagu veateateks võib ka lugeda, peaks olema sootuks asjaosaste nimed ja telefoninumbrid; siis saaks nendega lihtsamini lähikontakti võtta ja seda "juttu" jätkuks kohe pikaks ajaks. Laughing

_________________
Mõttetera: Kui tarkvara ei meeldi või ei sobi, tuleb valida teine tarkvara.

wk
Vana Pingviin
Vana Pingviin



Liitunud: 24.10.2007
Postitused: 1133
Asukoht: Tallinn, vahel Vastseliina vald
Distributsioon: Debian, Kubuntu
estonia.gif
postituspostitatud: 15.02.2013, 20:28  postituse pealkiri:  (teema puudub)  

Ei saa päris hästi aru, mille üle Sa nurised? Kasutad distrot, millele ID-kaardi toetust pole, eks ole? Kuidas peaks see ID-kaardindus siis automaagiliselt töötama?

Tsitaat:
siis mida pagana moodi saab veel olla variant, mida pole üldse olemaski.


Mida Sa silmas pead? "Linuxeid" on valmis vorbitud sadade kaupa, kas iga tarkvaraarendaja peaks neid kõiki toetama?

See tekst, mille Sa huumoriks tögad, on standardne maakeelne veateade, mille annab Sinu pakihaldur. Sel pole vähimatki seost ID-kaardiga. Ei meeldi tõlge? Käivita pakihaldur järgmine kord eesliitega "LANG=C" ja naudi inglikeelset suhtlust.

Tsitaat:
peaks olema sootuks asjaosaste nimed ja telefoninumbrid; siis saaks nendega lihtsamini lähikontakti võtta ja seda "juttu" jätkuks kohe pikaks ajaks


Ole siis teistele eeskujuks ja pane iga oma postituse külge kontaktid, et iga huviline saaks kohe helistada, kui midagi segaseks jääb või muidu arvamust avaldada tahaks Wink

_________________
Kõike hääd,
WK

erku
Vana Pingviin
Vana Pingviin


Vanus: 49
Liitunud: 12.09.2008
Postitused: 549
Asukoht: Tallinn, Järvamaa
Distributsioon: Mint/Debian _32bit
estonia.gif
postituspostitatud: 16.02.2013, 14:04  postituse pealkiri:  (teema puudub)  

IMHO:
Vaat, rahvast on igasugust. Asi algab minusuguste jaoks sellest, mida ka kunagi oma töömeestele sisendasin; Küsimusele: "kas nii siis ei või", andsin tavaliselt vastuse: "võib küll, endale koju ja isiklikuks otstarbeks; aga mitte raha eest teenusena teistele". Seda enam kui asi peab töötama ka riiklikus aspektis ja .. mõned "nüansid" on sunduslikus korras kehtestatud, ehk see asi peab lihtsalt töötama ja muud variandid on kesised.
Neid variante pole ju palju, kui valitud on Ubuntu siis on ka Ubuntu ja suuremate distroode nimekiri pole ka just nii pikk. Ja Ubuntule pakutavaid variante ma suutsin ID lehelt tuvastada 5 ning mitte sadu ega teab mis veel. Ehk ei saa lihtsalt olla varianti, mingit kuuendat või sajandat, mida ei eksisteeri. Kui skript ei ole ise piisavalt pädev, et suudab tuvastada ehk kokku viia kaks asja omavahel, siis valida 5 võimaliku vahel peaks andma kasutajale siiski, mitte "panema segast" kohe kindlasti.

Aga ikka vist tekib jälle tunne, et nagu "haugud vale puu all". Meenub telest nähtud saade, kus "eurooplaste" käest uuriti, et mis on Eesti ja vastus oli: "This is a country, in Russia".

_________________
Mõttetera: Kui tarkvara ei meeldi või ei sobi, tuleb valida teine tarkvara.

wk
Vana Pingviin
Vana Pingviin



Liitunud: 24.10.2007
Postitused: 1133
Asukoht: Tallinn, vahel Vastseliina vald
Distributsioon: Debian, Kubuntu
estonia.gif
postituspostitatud: 16.02.2013, 15:06  postituse pealkiri:  (teema puudub)  

Aga Sa ei paigaldanud seda ju Ubuntule vaid Mintile. Kui Sa käivitad selle Ubuntule mõeldud skripti oma masinas, siis see uurib konfifailides, mis on sinu installitud distro väljalase ja ootab vastuseks mõnda Ubuntu varianti (a la precise, karmic, mis iganes). Sinu puhul sai ta vastuseks oopis "nadia". Kas selle skripti looja peaks olema valmis, et keegi võtab skripti ja käivitab kohas, kuhu see mõeldud pole? Ma arvan, et see pole üheselt ilmselge eeldus.

Skripti käivitamisel häälestati repo kasutama "nadia" haru, aga seda pole olemas, kuna Mint Nadia ei kuulu toetatud distrode hulka, eks ole.

Sellepärast tuleb võõrale distrole paigaldades ise rohkem kaasa mõelda ja vajalikud muudatused õigetes kohtades käsitsi teha.

Kuivõrd Mint Nadia on Ubuntule lähisugulane, siis põhimõtteliselt saab Mint toimida ka Ubuntu repodest pakke paigaldades ja pärast minimaalseid muudatusi Sul nii toimibki.

_________________
Kõike hääd,
WK

Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group